Bug 971633 - [abrt] WARNING: at drivers/gpu/drm/i915/intel_display.c:3854 intel_modeset_check_state+0x4ce/0x610 [i915]()
[abrt] WARNING: at drivers/gpu/drm/i915/intel_display.c:3854 intel_modeset_ch...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:6af85cc9524994de83eba1c4ed8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 21:22 EDT by Randy
Modified: 2014-02-05 16:42 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:42:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (86.91 KB, text/plain)
2013-06-06 21:22 EDT, Randy
no flags Details

  None (edit)
Description Randy 2013-06-06 21:22:24 EDT
Description of problem:
simpley tried to put display to sleep:
>>>> xset dpms force off

Additional info:
reporter:       libreport-2.1.4
WARNING: at drivers/gpu/drm/i915/intel_display.c:3854 intel_modeset_check_state+0x4ce/0x610 [i915]()
Hardware name: Inspiron 1525                   
wrong connector dpms state
Modules linked in: ebtable_nat fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT bnep bluetooth nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi iTCO_wdt iTCO_vendor_support uvcvideo arc4 dell_wmi dell_laptop sparse_keymap videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media dcdbas snd_hda_codec_idt snd_hda_codec_hdmi iwl4965 snd_hda_intel iwlegacy snd_hda_codec mac80211 snd_hwdep snd_seq cfg80211 snd_seq_device snd_pcm snd_page_alloc rfkill snd_timer snd i2c_i801 lpc_ich sky2 r592 soundcore mfd_core memstick acpi_cpufreq mperf coretemp microcode serio_raw uinput firewire_ohci sdhci_pci sdhci i915 firewire_core mmc_core crc_itu_t i2c_algo_bit drm_kms_helper drm i2c_core wmi video
Pid: 642, comm: Xorg Not tainted 3.9.4-200.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105f125>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f206>] warn_slowpath_fmt+0x46/0x50
 [<ffffffffa00eb81e>] intel_modeset_check_state+0x4ce/0x610 [i915]
 [<ffffffffa00eb9a4>] intel_connector_dpms+0x44/0x70 [i915]
 [<ffffffffa003ac2d>] drm_mode_obj_set_property_ioctl+0x31d/0x330 [drm]
 [<ffffffffa003ac70>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
 [<ffffffffa0029483>] drm_ioctl+0x4d3/0x580 [drm]
 [<ffffffff8119a9a1>] ? mem_cgroup_bad_page_check+0x21/0x30
 [<ffffffffa003ac40>] ? drm_mode_obj_set_property_ioctl+0x330/0x330 [drm]
 [<ffffffff81214eeb>] ? sysfs_release+0x8b/0xb0
 [<ffffffff811869b1>] ? kfree+0x151/0x190
 [<ffffffff8113c25a>] ? __free_pages+0x5a/0x90
 [<ffffffff811b17e7>] do_vfs_ioctl+0x97/0x580
 [<ffffffff811a1546>] ? __fput+0x176/0x240
 [<ffffffff811b1d61>] sys_ioctl+0x91/0xb0
 [<ffffffff81014971>] ? do_notify_resume+0x71/0xb0
 [<ffffffff81669f59>] system_call_fastpath+0x16/0x1b
Comment 1 Randy 2013-06-06 21:22:30 EDT
Created attachment 757965 [details]
File: dmesg
Comment 2 Kevin 2013-06-17 03:23:36 EDT
Description of problem:
Only thing I was using was ktorrent-4.3.1-1.fc18.x86_64
other than that I have no idea.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.4-200.fc18.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/gpu/drm/i915/intel_display.c:3854 intel_modeset_check_state+0x4ce/0x610 [i915]()
Hardware name: Inspiron 1525                   
wrong connector dpms state
Modules linked in: arc4 b43 bcma mac80211 cfg80211 ebtable_nat fuse ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat bnep bluetooth iptable_mangle rfkill nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_idt snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt iTCO_vendor_support snd_page_alloc snd_timer snd dell_wmi dell_laptop sparse_keymap acpi_cpufreq mperf coretemp joydev soundcore uvcvideo videobuf2_vmalloc videobuf2_memops dcdbas videobuf2_core videodev media microcode i2c_i801 serio_raw r592 memstick lpc_ich mfd_core uinput firewire_ohci sdhci_pci ssb i915 firewire_core crc_itu_t sdhci i2c_algo_bit sky2 drm_kms_helper mmc_core drm i2c_core wmi video sunrpc
Pid: 793, comm: Xorg Not tainted 3.9.4-200.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105f125>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f206>] warn_slowpath_fmt+0x46/0x50
 [<ffffffffa014581e>] intel_modeset_check_state+0x4ce/0x610 [i915]
 [<ffffffffa01459a4>] intel_connector_dpms+0x44/0x70 [i915]
 [<ffffffffa0075c2d>] drm_mode_obj_set_property_ioctl+0x31d/0x330 [drm]
 [<ffffffffa0075c70>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
 [<ffffffffa0064483>] drm_ioctl+0x4d3/0x580 [drm]
 [<ffffffff8119a9a1>] ? mem_cgroup_bad_page_check+0x21/0x30
 [<ffffffffa0075c40>] ? drm_mode_obj_set_property_ioctl+0x330/0x330 [drm]
 [<ffffffff8113c25a>] ? __free_pages+0x5a/0x90
 [<ffffffff811b17e7>] do_vfs_ioctl+0x97/0x580
 [<ffffffff812a157a>] ? inode_has_perm.isra.32.constprop.62+0x2a/0x30
 [<ffffffff812a2c07>] ? file_has_perm+0x97/0xb0
 [<ffffffff811b1d61>] sys_ioctl+0x91/0xb0
 [<ffffffff81014971>] ? do_notify_resume+0x71/0xb0
 [<ffffffff81669f59>] system_call_fastpath+0x16/0x1b
Comment 3 Fedora End Of Life 2013-12-21 08:54:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:42:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.